<?php 

session_start();
 
 //include("seguridad.php");
 //include('funciones/funciones2.php');

//foreach($_POST as $campo => $valor){
// echo "- ". $campo ." = ". $valor;
//}
//exit();

//echo "Elementos: ". count( $_POST['lista']);

$vuelve = false;
$nombre_archivo   =    $_POST['nombre_imagen'];

if ($nombre_archivo == ''){
  print "<script>alert('Falta Seleccionar la Imagen!!!')</script>"; 
      $vuelve = true;
  
} 

if ($vuelve == true){

echo "<script LANGUAGE='JavaScript'>
   function redireccionar() { history.back(1); }
   setTimeout ('redireccionar()', 0);
   </script>";

}

if (isset($_FILES['file-upload']))
  {
    // get details of the uploaded file
    $fileTmpPath = $_FILES['file-upload']['tmp_name'];
    $fileName = $_FILES['file-upload']['name'];
    $fileSize = $_FILES['file-upload']['size'];
    $fileType = $_FILES['file-upload']['type'];
    $fileNameCmps = explode(".", $fileName);
    $fileExtension = strtolower(end($fileNameCmps));
   }

 $comprobantes = $_POST['lista'];
 $id_empresa       =	$_POST['id_empresa'];
// Recorro el array
 foreach($comprobantes as $seleccion) {
  $porciones = explode(",", $seleccion);
  $tipo_formulario =$porciones['0'];
  $anio =$porciones['1'];
  $mes =$porciones['2'];
  $total_formulario= $porciones['3'];

  }




 //$mes   		   = 	$_POST['mes'];
 //$anio     		   = 	$_POST['anio'];
 //$tipo_formulario  = 	$_POST['tipo_f'];
 $total_formulario =	$_POST['importe'];
 $total_todos       = $_POST['total_pago'];
 $total_pago       =	$_POST['total_pago'];
 $id_banco		   =	$_POST['banco'];
 $usuario  		   = 	$_POST['cuit'];
 $comprobante  	   = 	$_POST['comprobante'];
 $fecha 		   = 	$_POST['fecha'];
 $PagoParcial  =  $_POST['pagoParcial'];
 

 $estado = "1";
 $activo = "1";

  if ($mes < 1){
  	print "<script>alert('No Puede ser Mes Cero (0)!!!')</script>";	
  		$vuelve = true;
  
  }


if ($total_pago == 0){
	print "<script>alert('El Importe No puede ser Cero (0)!!!')</script>";	
  		$vuelve = true;
  
} 

if($fecha ==''){
  print "<script>alert('Atencion: Fecha Incorrecta!!!')</script>"; 
    $vuelve = true;
}




if ($id_banco == 0){
	print "<script>alert('Debe Seleccionar el Banco de Deposito!!!')</script>";	
  	$vuelve = true;
  
}

if ($comprobante == ''){
	print "<script>alert('Debe Ingresar el Nro de comprobante!!!')</script>";	
  	$vuelve = true;
  
}


if ($vuelve == true){
echo "<script LANGUAGE='JavaScript'>
   function redireccionar() { history.back(1); }
   setTimeout ('redireccionar()', 0);
   </script>";
}

$allowedfileExtensions = array('jpg','jpeg', 'gif', 'png');

    if (in_array($fileExtension, $allowedfileExtensions))
    { 	$uploadFileDir = 'comprobantes/';
		$newFileName = 'CP'. $id_empresa .'-'. $anio .'-' . $mes.'-'. $tipo_formulario. '.'.  $fileExtension  ;
      	$dest_path = $uploadFileDir . $newFileName;
      	

      if(move_uploaded_file($fileTmpPath, $dest_path)) 
      {
        $message ='Movido';
      }
      else 
      {
        $message = 'Error No se pudo Subir la imagen';
      }
    }
    else
    {
    	print "<script>alert('Archivo de Imagen Incorrecto !!!')</script>";	
      	$vuelve = true;

    }

if ($vuelve == true){
echo "<script LANGUAGE='JavaScript'>
	 function redireccionar() { history.back(1); }
	 setTimeout ('redireccionar()', 0);
   </script>";
}
if ($message <> 'Movido'){
echo "<script LANGUAGE='JavaScript'>
	 function redireccionar() { history.back(1); }
	 setTimeout ('redireccionar()', 0);
   </script>";
}

if ($vuelve == false){
    date_default_timezone_set('America/Argentina/Buenos_Aires');  

    $total_pago = str_replace(',','',$total_pago); 
    $Subtotal= $total_pago;
    include 'conexion.php';



foreach($comprobantes as $seleccion) {
  $Registros += 1;
  $porciones = explode(",", $seleccion);
  $tipo_formulario = $porciones['0'];
  $anio = $porciones['1'];
  $mes = $porciones['2'];
  $total_formulario= $porciones['3'];

  if($Subtotal >=$total_formulario ){
     $total_pago = $total_formulario;

  }else {
     $total_pago =$Subtotal;
  }
  $Subtotal -= $total_formulario;

			
    $_pagi_sql = "select * from com_depositos where id_tipo_formulario = " .$tipo_formulario. " and id_empresa = " . $id_empresa . " and mes = " . $mes . " and anio = " . $anio  . " and comprobante = '" . $comprobante ."'" ;



    $query = mysqli_query($coneccion ,	$_pagi_sql);
    $row = mysqli_fetch_array($query);
 

    if ($row >= 1)
	 {
		$sql = "UPDATE com_depositos SET id_banco = '". $id_banco ."' ,importe = ". $total_pago .",total =".$total_formulario." ,fecha= '".$fecha. "' ,archivo ='" .$newFileName. "' where id_tipo_formulario = " .$tipo_formulario. " and id_empresa = " . $id_empresa . " and mes = " . $mes . " and anio = " . $anio . " and comprobante = '" . $comprobante ."'" ;


		
		//echo $sql;
		$query_update = mysqli_query($coneccion,$sql);
	 }
    else
	 {
	   $sql = "INSERT INTO com_depositos (comprobante, id_tipo_formulario,  id_empresa, mes, anio, id_banco,  importe,total, fecha,archivo, activo, usuario_actualizacion)".
        " VALUES ('$comprobante','$tipo_formulario', '$id_empresa', '$mes', '$anio', '$id_banco', '$total_pago','$total_formulario','$fecha', '$newFileName','$activo', '$usuario')";

   	 $query_update = mysqli_query($coneccion,$sql);				      
	
	 }

   if ($query_update == false){
		echo "Error No registro el Pago!!!";
		echo $sql;		
		
	 }
    else{				
				
		
		
	 }

}	
mysqli_close($coneccion);   
require_once("php/comprobante2.php");
}

?>